var defs_loaded=false;

glos_ace = "<P><B>ACE</B><BR>Access control entry. An entry in an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_acl&quot;)'>access control list (ACL)</A>. The entry contains a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_sid&quot;)'>security ID (SID)</A> and a set of access rights. A process with a matching security ID is either allowed access rights, denied rights, or allowed rights with auditing.</P>";

glos_acs = "<P><b>ACS</b><br>Admission Control Service. The ACS is a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_qos&quot;)'>QoS</A> implementation that offers the ability to centrally designate how, by whom, and when shared network segment resources will be used. Once the service has been installed and configured, the ACS host controls bandwidth for the subnetwork to which it is connected. Any intranet host on the subnetwork can submit priority bandwidth requests to the ACS host, which determines if adequate bandwidth is available, based on:<ul><li>Information about the current state of resource availability on the subnetwork. <li>The ACS user <A NAME='nest' HREF='javascript:startPopups(&quot;glos_policy&quot;)'>policy </A>rights. </ul>The ACS can be added and enabled on any network-enabled computer running Windows 2000 Server. The ACS operates at the IP network layer, servicing the most common application protocols: all transport protocols in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> protocol suite (TCP, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_udp&quot;)'>UDP</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rsvp&quot;)'>RTP</A>).</P>";

glos_acl = "<P><B>ACL</B><BR>Access control list. The part of a security descriptor that enumerates the protections applied to an object. The owner of an object has discretionary access control of the object and can change the object&#39;s ACL to allow or disallow others access to the object. ACLs are made up of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ace&quot;)'>access control entries (ACEs)</A>.<BR>Each security descriptor for an object in Windows&nbsp;NT or Windows&nbsp;2000 contains four security components: Creator (Owner), Group, Discretionary Access Control List (DACL, usually referred to simply as ACL), and System Access Control List (SACL).Group is for <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</A> compliance and is associated with the &quot;primary group&quot; set in individual user objects in User Manager. The DACL determines the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_permissions&quot;)'>permissions</A> on the object. To change a DACL, a permission called WRITE_DAC is required.The SACL determines auditing, describing what accesses will be audited and for whom.</P>";

glos_activex = "<P><b>Active X</b><br>An umbrella term for Microsoft technologies that enable developers to create interactive content for the World Wide Web.</P>";

glos_api = "<p><b>API</b><br>Application programming interface. A set of routines that an application uses to request and carry out lower-level <A NAME='nest' HREF='javascript:startPopups(&quot;glos_service&quot;)'>services</A> performed by a computer's operating system. These routines usually carry out maintenance tasks such as managing files and displaying information.</P>";

glos_associate = "<P><b>associate</b><br>To identify a filename extension as &quot;belonging&quot; to a certain program, so that when you open any file with that extension, the program starts automatically.</P>";

glos_batch = "<P><b>batch program</b><br>An ASCII (unformatted text) file containing one or more Windows&nbsp;NT and Windows&nbsp;2000 commands. A batch program's filename has a .BAT extension. When you type the filename at the command prompt, the commands are processed sequentially. &quot;<a NAME='nest' HREF='javascript:startPopups(&quot;glos_script&quot;)'>Script</a>&quot; is often used interchangeably with &quot;batch program&quot; in the Windows&nbsp;NT and Windows&nbsp;2000 environment.</P>";

glos_browser = "<P><b>browser</b><br>A client tool for navigating and accessing information on the Internet or an intranet. A browser communicates with <A NAME='nest' HREF='javascript:startPopups(&quot;glos_http&quot;)'>HTTP</A> servers, interprets hypertext markup language (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_html&quot;)'>HTML</A>), and displays information on a computer screen. A popular example is Microsoft Internet Explorer.</P><P>In the context of Windowsnetworking, &quot;browser&quot; can also mean the Computer Browser service, a service that maintains an up-to-date list of computers on a network or part of a network and provides the list to applications when requested. When a user attempts to connect to a resource in a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A>, the domain&#39;s browser is contacted to provide a list of available resources.</P>";

glos_cde = "<P><b>CDE</b><br>The Common Desktop Environment (CDE) is an integrated graphical desktop environment for managing data, files and applications.</P>";

glos_cgi = "<P><b>CGI</b><br>Common Gateway Interface. A server-side interface for initiating software services. A set of interfaces that describe how a Web server communicates with software on the same computer. Any software can be a CGI program if it handles input and output according to the CGI standard.</P>";

glos_checkedbld = "<P><b>checked build</b><br>A checked build is a version of Windows which consists of binaries that provide additional error checking, argument verification, and system debugging code. Much of the extra code in the checked binaries is in the form of ASSERT macros that test an expression. If the expression evaluates to FALSE, the macro generates a kernel debugger error message and breaks into the debugger. This lets you immediately determine the cause and location of the error.<br>Because of the additional error checking code and debugging information, the checked binaries are larger and run slower than the free binaries. This can conceal synchronization or other timing-related problems, such as race conditions, that become apparent only in the free build.<br>If you run the checked build of Windows NT without having enabled kernel debugging, unexpected system shutdowns can occur. This is because the additional checks in the checked build increase the likelihood of encountering a breakpoint.</P>";

glos_codepage = "<P><B>code page</B><BR>In MS-DOS versions 3.3 and later, a means of providing support for character sets and keyboard layouts used in different countries. A code page is a table that relates the binary character codes used by a program to keys on the keyboard or to the appearance of characters on the display.</P>";

glos_com = "<P><b>COM</b><br>Component Object Model. An object-based programming model designed to promote software interoperability; that is, to allow two or more applications or components to easily cooperate with one another, even if they were written by different vendors at different times, in different programming languages, or if they are running on different computers running different operating systems. COM is the foundation technology upon which much broader technologies can be built. Microsoft's Object Linking &amp; Embedding (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_ole&quot;)'>OLE</a>) technology and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_activex&quot;)'>Active X</a> are both built on top of COM.</P>";

glos_crc = "<P><b>Cyclical redundancy check</b><br>Cyclical redundancy check. A procedure used in checking for errors in data transmission. CRC error checking uses a complex calculation to generate a number based on the data transmitted. The sending device performs the calculation before transmission and sends its result to the receiving device. The receiving device repeats the same calculation after transmission. If both devices obtain the same result, it is assumed that the transmission was error-free. The procedure is known as a redundancy check because each transmission includes not only data but extra (redundant) error-checking values. Communications protocols such as XMODEM and Kermit use cyclical redundancy checking.</P>";

glos_daemon = "<P><b>daemon</b><br>Pronounced &quot;demon.&quot; A networking program, usually associated with <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> systems, that runs in the background, performing utility functions such as housekeeping or maintenance without user intervention or even awareness.</P>";

glos_debugger = "<P><b>debugger</b><br>A program designed to aid in detecting, locating, and correcting errors in another program by allowing the programmer to step through the program, examine the data, and monitor conditions such as the values of variables.</P>";

glos_dhcp = "<P><b>DHCP</b><br>Dynamic Host Configuration Protocol. A networking protocol that provides safe, reliable, and simple <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> network configuration and offers dynamic configuration of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>Internet Protocol (IP) addresses</A> for computers. DHCP ensures that address conflicts do not occur and helps conserve the use of IP addresses through centralized management of address allocation.</P>";

glos_dll = "<P><b>DLL</b><br>Dynamic-link library. A feature of the Microsoft Windows family of operating systems and the OS/2 operating system. DLLs allow executable routines, generally serving a specific function or set of functions, to be stored separately as files with .DLL extensions, and to be loaded only when needed by the program that calls them.</P>";

glos_dns = "<P><b>DNS</b><br>Domain Name System. A hierarchical name service for <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> host computers that provides standard naming conventions.<BR><BR>The administrator of a network must configure the DNS with a list of host names and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</a>. This allows users of network computers to query the DNS, specifying remote computers by host names, which are character strings with some mnemonic value, rather than IP addresses, which are simply strings of numbers. Windows <A NAME='nest' HREF='javascript:startPopups(&quot;glos_socket&quot;)'>Sockets</A> applications and TCP/IP utilities, such as <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ftp&quot;)'>FTP</a> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_telnet&quot;)'>Telnet</a>, can use DNS in addition to the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_hosts&quot;)'>HOSTS</a> file to locate particular computers anywhere on the local network or beyond on the Internet.<BR><BR>DNS originated in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> networking environment.</P>";

glos_domain = "<P><b>domain</b><br>A networked set of computers running Windows&nbsp;NT or Windows&nbsp;2000 that share a Security Accounts Manager (SAM) database and that can be administered as a group. A user with an account in a particular domain can log onto and access his or her account from any computer in the domain. A domain is a single security boundary of a Windows NT computer network.<br>The Active Directory is made up of one or more domains. On a standalone workstation, the domain is the computer itself. A domain can span more than one physical location. Every domain has its own security <A NAME='nest' HREF='javascript:startPopups(&quot;glos_policy&quot;)'>policies</A> and security relationships with other domains. When multiple domains are connected by <A NAME='nest' HREF='javascript:startPopups(&quot;glos_trustrel&quot;)'>trust relationships</A> and share a common schema, configuration, and global catalog, you have a <i>domain tree</i>. Multiple domain trees can be connected together into a <i>forest</i>.</P>";

glos_domaincontroller = "<P><b>domain controller</b><br>For a Windows&nbsp;NT Server or Windows&nbsp;2000 Server domain, the server that authenticates domain logons and maintains the security policy and the master database for a domain. Both servers and domain controllers are capable of validating a user's logon, but password changes must be made by contacting the domain controller.</P>";

glos_environmentvariable = "<P><b>environment variable</b><br>A string consisting of environment information, such as a drive, path, or filename, associated with a symbolic name that can be used by Windows&nbsp;NT and Windows&nbsp;2000. You use the System option in Control Panel or the set command from the command prompt to define environment variables.</P>";

glos_fat = "<P><b>FAT</b><br>A file system based on a file allocation table (FAT) maintained by some operating systems, including Windows&nbsp;NT and Windows&nbsp;2000, to keep track of the status of various segments of disk space used for file storage.</P>";

glos_fault = "<P><b>fault tolerance</b><br>Assurance of data integrity when hardware failures occur. On the Windows&nbsp;NT and Windows&nbsp;2000 platforms, fault tolerance is provided by the FTDISK.SYS driver. In Disk Administrator, fault tolerance is provided by using <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mirror&quot;)'>mirror sets</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripesetparity&quot;)'>stripe sets with parity</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_volumeset&quot;)'>volume sets</A>.</P>";

glos_frame = "<P><b>frame</b><br>In computer graphics, one image in a sequence that makes up an animation.<BR><BR>In synchronous communication, a package of information transmitted as a single unit from one device to another.</P>";

glos_ftp = "<P><b>FTP</b><br>File Transfer Protocol. FTP is both a protocol that defines how to transfer files from one computer to another over the Internet and a client-server application that moves files using this protocol.</P>";

glos_gateway = "<P><b>gateway</b><br>A device that connects dissimilar networks and passes information from one to the other. A gateway translates information from the communications protocol of the first network into that of the second before transferring it.<BR><BR>In <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a>, the default gateway is the address where the Internet Protocol sends packets that are destined for remote networks, unless a different route to the destination network is configured.</P>";

glos_gui = "<P><b>GUI</b><br>Graphical User Interface (GUI is pronounced &quot;<i>gooey</i>&quot;). A display format, like that of Windows, that represents a program's functions with graphic images such as buttons and icons. GUIs allow a user to perform operations and make choices by pointing and clicking with a mouse.</P>";

glos_hal = "<P><b>HAL</b><br>Hardware Abstraction Layer. A thin layer of software provided by the hardware manufacturer that hides, or abstracts, hardware differences from higher layers of the operating system.<BR><BR>Through the filter provided by the HAL, different types of hardware all look alike to the rest of the operating system. This allows Windows&nbsp;NT and Windows&nbsp;2000 to be portable from one hardware platform to another. The HAL also provides routines that allow a single device driver to support the same device on all platforms.<BR><BR>The HAL works closely with the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kernel&quot;)'>Kernel</A>.</P>";

glos_handle = "<P><b>handle</b><br>In the user interface, an interface added to an object that facilitates moving, sizing, reshaping, or other functions pertaining to an object.<BR><BR>In programming, a pointer to a pointer&#151;that is, a token that lets a program access a resource identified.</P>";

glos_hive = "<P><b>hive</b><br>A section of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_registry&quot;)'>Registry</a> that appears as a file on your hard disk. For example, the hive HKEY_USERS&#92;Default appears on your hard disk as the file %<i>SYSTEMROOT</i>%&#92;SYSTEM32&#92;CONFIG&#92;DEFAULT&#92;DEFAULT.LOG. Because a hive is a file, it can be moved from one system to another, but can only be edited using Registry Editor.</P>";

glos_hosts = "<P><b>HOSTS</b><br>A file containing lists of known <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</a>, used by <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> to locate computers on a network or the Internet.</P>";

glos_hpfs = "<P><b>HPFS</b><br>High-Performance File System. The file system designed for the OS/2 version 1.2 operating system.</P>";

glos_html = "<P><b>HTML</b><br>Hypertext Markup Language. A simple markup language used to create hypertext documents that are portable from one platform to another. HTML files are simple ASCII text files with embedded codes (indicated by markup tags) to indicate formatting and hypertext links. HTML is used for formatting documents on the World Wide Web.</P>";

glos_http = "<P><b>HTTP</b><br>Hypertext Transfer Protocol. The protocol used to transfer information on the World Wide Web. An HTTP address (one kind of URL or Uniform Resource Locator) takes the form:<BR><BR>http:&#47;&#47;server&#47;path&#47;filename.htm<BR><BR>For example: http:&#47;&#47;www.microsoft.com&#47;area&#47;default.htm</P>";

glos_iis = "<P><b>IIS</b><br> Internet Information Server. A network file and application server that supports multiple protocols. Primarily, Internet Information Server transmits information in Hypertext Markup Language (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_html&quot;)'>HTML</A>) pages by using the Hypertext Transport Protocol (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_http&quot;)'>HTTP</A>).</P>";

glos_ipaddress = "<P><b>IP address</b><br>Internet Protocol address. The unique logical address identifying each host computer, or node, on a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> network. An IP address is a 32-bit number expressed as four decimal numbers from 0 to 255 separated by periods, for example:<BR><BR><b>131.107.2.200</b><BR><BR>Each IP address has two parts: the network ID and the host ID. The network ID identifies all hosts that are on the same physical network. The host ID identifies a specific host on a network. A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_subnetmask&quot;)'>subnet mask</a> is used to mask a portion of the IP address so that TCP/IP can distinguish the network ID from the host ID.</P>";

glos_ip = "<P><b>IP</b><br>The messenger protocol of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A>, responsible for addressing and sending <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcp&quot;)'>TCP</A> packets over the network. IP provides a best-effort, connectionless delivery system that does not guarantee that packets arrive at their destination or that they are received in the sequence in which they were sent.</P>";  

glos_ipxspx = "<P><b>IPX/SPX</b><br>Transport protocols used in Novell&#174; NetWare&#174; and other networks</P>";

glos_isapi = "<P><b>ISAPI</b><br>Internet Server Application Program Interface. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>application program interface</A> that resides on a server computer for initiating software services tuned for Windows operating systems.</P>";

glos_kerberos ="<P><b>Kerberos</b><br>The Kerberos v5 protocol verifies both the identity of the user and the integrity of session data. <br>In Windows 2000, Kerberos v5 services are installed on each domain controller, and a Kerberos client is installed on each Windows workstation and server. The Kerberos v5 service stores all of the client passwords (encrypted) and identities in the Active Directory. A users initial Kerberos authentication provides the user a single logon to enterprise resources.</P>";

glos_kernel = "<P><b>Kernel</b><br>The core of layered architecture that manages the most basic operations of the operating system and the computer&#39;s processor for Windows&nbsp;NT and Windows&nbsp;2000. The kernel schedules different blocks of executing code, called <A NAME='nest' HREF='javascript:startPopups(&quot;glos_thread&quot;)'>threads</A>, for the processor to keep it as busy as possible and coordinates multiple processors to optimize performance. The kernel also synchronizes activities among Executive-level subcomponents, such as I/O Manager and Process Manager, and handles hardware exceptions and other hardware-dependent functions.<BR><BR>The kernel works closely with the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_hal&quot;)'>HAL</A>.</P>";

glos_kernmode = "<P><b>kernel mode</b><br>Kernel mode is a highly privileged mode of operation where program code has direct access to all memory, including the address spaces of all user-mode processes and applications, and to hardware. Kernel mode is also known as supervisor mode, protected mode, or Ring 0.</P>";

glos_key = "<P><b>key</b><br>An entry in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_registry&quot;)'>Registry</a> that can contain both subkeys and value entries. In the registry structure, keys are analogous to folders, and value entries are analogous to files. In the Registry Editor window, a key appears as a file folder in the left pane.</P>";

glos_korn = "<P><b>Korn shell</b><br>ksh. A command shell which provides the following functionality: <br><ul><li>file input and output redirection</li> <li>command line editing using vi<li>command history</li> <li>integer arithmetic</li> <li>pattern matching and variable substitution</li> <li>command name abbreviation (aliasing)</li><li>built-in commands for writing shell programs</li> </ul></P>";

glos_lan = "<P><b>LAN</b><br>Local area network. A communications network connecting a group of computers, printers, and other devices located within a relatively limited area (for example, a building). A LAN allows any connected device to interact with any other on the network.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_wan&quot;)'>WAN</a>.</P>";

glos_ldap = "<P><b>LDAP</b><br>Lightweight Directory Access Protocol. LDAP is the primary access protocol for the Active Directory. LDAP standards are established by working groups of the Internet Engineering Task Force (IETF). In Windows 2000, Active Directory implements the LDAP attribute drafts and the IETF standards for LDAP v.2 and LDAP v.3.</P>";

glos_mac = "<P><b>MAC</b><br>Media Access Control. A layer in the network architecture of Windows&nbsp;NT and Windows&nbsp;2000 that deals with network access and collision detection.</P>";

glos_mbr = "<P><b>Master Boot Record</b><br>MBR. The data structure that starts the process of booting the computer. The most important area on a hard disk.<BR><BR>The Master Boot Record contains the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_partitiontable&quot;)'>partition table</a> for the disk and a small amount of executable code. On <i>x</i>86-based computers, the executable code examines the partition table and identifies the system (or bootable) partition, finds the system partition's starting location on the disk, and loads an image of its Partition Boot Sector into memory. The Master Boot Record then transfers execution to the Partition Boot Sector.</P>";

glos_memhog = "<P><b>memory hog</b><br>A memory hog is a program or driver which requires excessive amounts of memory.</P>";

glos_mib = "<P><b>MIB</b><br>Management Information Base. The entire set of objects that a protocol or service uses under <A NAME='nest' HREF='javascript:startPopups(&quot;glos_snmp&quot;)'>SNMP</A>.<BR><BR>SNMP defines a set of variables that the host must keep. Because different network-management services are used for different types of devices or for different network-management protocols, each service has its own set of objects. The SNMP service for Windows&nbsp;NT and Windows&nbsp;2000 supports multiple MIBs through an agent <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A>.<BR><BR>Each MIB consists of a hierarchical list of object identifiers describing a managed entity. The MIB handler retrieves object values from the managed entity and sends them to the SNMP console.</P>";

glos_mirror = "<P><b>mirror set</b><br>A fully redundant or shadow copy of data. Mirror sets provide an identical twin for a selected disk; all data written to the primary disk is also written to the shadow or mirror disk. This enables you to have instant access to another disk with a redundant copy of the information on a failed disk. Mirror sets provide <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fault&quot;)'>fault tolerance</A>.<BR><BR>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripesetparity&quot;)'>stripe set with parity</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_volumeset&quot;)'>volume set</A>.</P>";

glos_netbeui = "<P><b>NetBEUI transport</b><br>NetBIOS (Network Basic Input/Output System) Extended User Interface. A local area network transport protocol provided with Windows&nbsp;NT and Windows&nbsp;2000. See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_netbios&quot;)'>NetBIOS</a> interface.</P>";

glos_netbios = "<P><b>NetBIOS</b><br>Network basic input/output system. An application programming interface (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</a>) that can be used by applications on a local area network or computers running MS-DOS, OS/2, or some version of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a>. NetBIOS provides a uniform set of commands for requesting lower level network services.</P>";

glos_ntfs = "<P><b>NTFS</b><br>Windows&nbsp;NT File System. An advanced file system designed for use specifically with Windows&nbsp;NT and Windows&nbsp;2000. NTFS supports file system recovery and extremely large storage media, in addition to other advantages. It also supports object-oriented applications by treating all files as objects with user-defined and system-defined attributes.</P>";

glos_ntlm = "<P><b>NTLM</b><br>Windows NT LAN Manager. NTLM was the primary authentication protocol for all previous Windows NT releases. It is used in Windows 2000 as the authentication protocol for computers that are not participating in a domain (Standalone servers and Workgroups), and to authenticate transactions to or from machines running earlier releases of Windows.</P>";

glos_odbc = "<P><b>ODBC</b><br>Open Database Connectivity. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>application programming interface (API)</A> that enables database applications to access data from a variety of existing data sources.</P>";

glos_ole = "<P><b>OLE</b><br>A method for sharing information among applications. The acronym (pronounced oh-LAY) was originally derived from &quot;object linking and embedding&quot;.<br>OLE is an object-oriented technology designed for creating, managing, and accessing object-based components across process and hardware boundaries.<br>Linking an object (such as a section of a spreadsheet or a graphic) from one document to another inserts a reference to the object into the second document. Any changes made in the object in the first document will also be made in the second document.<br>Embedding an object inserts a copy of an object from one document into another document. Changes made in the object in the first document will not be updated in the second unless the embedded object is explicitly updated.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_activex&quot;)'>Active X</a>.</P>";

glos_packet = "<P><b>packet</b><br>A transmission unit of fixed maximum size that consists of binary information representing both data and a header containing an ID number, source and destination addresses, and error-control data.</P>";

glos_pagefault = "<P><b>page fault</b><br>In the processor, a page fault occurs when a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</a> refers to a virtual memory page that is not in its working set in main memory.<br>A hard page fault occurs when data a program needs is not found in its working set (the physical memory visible to the program) or elsewhere in physical memory and must be retrieved from disk.<br>A page fault will not cause the page to be fetched from disk if that page is on the standby list, and hence already in main memory, or if it is in use by another process with which the page is shared. In this case, a soft page fault occurs.</P>";

glos_partition = "<P><b>partition</b><br>A logical division of a hard disk. Partitions make it easier to organize information. Each partition can be formatted for a different file system.<br>A partition must be completely contained on one physical disk, and the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_partitiontable&quot;)'>partition table</a> in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mbr&quot;)'>Master Boot Record</a> for a physical disk can contain up to four entries for partitions.</P>";

glos_partitiontable = "<P><b>partition table</b><br>An area of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mbr&quot;)'>Master Boot Record</a> that the computer uses to determine how to access the disk. The partition table can contain up to four <A NAME='nest' HREF='javascript:startPopups(&quot;glos_partition&quot;)'>partitions</a> for each physical disk.</P>";

glos_path = "<P><b>path</b><br>A sequence of directory (or folder) names that specifies the location of a directory, file, or folder within the Windows directory tree. Each directory name and filename within the path must be preceded by a backslash (\). For example, to specify the path of a file named README.DOC located in the Windows directory on drive C, you type C:\WINDOWS\README.DOC.</P>";

glos_pcmcia = "<P><b>PCMCIA</b><br>Personal Computer Memory Card International Association. A standard for removable peripheral devices (called PC Cards) about the size of a credit card, which plug into a special 68-pin connector found most commonly in portable computers. Currently available PCMCIA cards include memory, hard disk, modem, fax, network, and wireless communication devices.</P>";

glos_perfmon = "<P><b>Performance Monitor</b><br>A Windows&nbsp;NT and Windows&nbsp;2000 administrative tool that monitors performance on local or remote machines.</P>";

glos_permissions = "<P><b>permissions</b><br>Rules associated with an object (usually a directory, file, or printer) that regulate which users can have access to the object and their manner of access.</P>";

glos_policy = "<P><b>policy</b><br>A policy is the set of rules that govern the interaction between a subject and an object. For example when an IP Security Agent (the subject) starts on a given computer (the object) a policy determines how that computer will participate in secure IP connections.</P>";

glos_pop = "<P><b>POP</b><br>Post Office Protocol. A maildrop service that allows a client to retrieve mail that the server is holding for it. The most recent implementation is Version 3, or POP3.<br>On certain types of smaller nodes on the Internet, it is often impractical to maintain a message transport system (MTS); this would require that a workstation or personal computer support an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_smtp&quot;)'>SMTP</a> server and local mail delivery system or remain continuously connected to the Internet. POP permits a node that can support an MTS to function as a server, offering a maildrop service to less endowed client nodes.</P>";

glos_posix = "<P><b>POSIX</b><br>Portable Operating System Interface for Computing Environments. A set of standards being drafted by the Institute of Electrical and Electronic Engineers (IEEE) that define various aspects of an operating system, including topics such as programming interface, security, networking, and graphical interface. Programs that adhere to the POSIX standard can be easily ported from one system to another.</P>";

glos_pptp = "<P><b>PPTP</b><br> Point-to-Point Tunneling Protocol. PPTP is a new networking technology that supports multiprotocol virtual private networks (VPNs), enabling remote users to access corporate networks securely across the Internet by dialing into an Internet service provider (ISP) or by connecting directly to the Internet.</P>"; 

glos_process = "<P><b>process</b><br>When a program runs, a Windows process is created. A process is a type of object that includes an address space, a set of objects (resources) visible to the process, and a set of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_thread&quot;)'>threads</A> that run in the context of the process. </P>";

glos_protocol = "<P><b>protocol</b><br>A set of rules and conventions by which two computers pass messages across a network. Networking software usually implements multiple levels of protocols layered one on top of another. Windows&nbsp;NT and Windows&nbsp;2000 include <A NAME='nest' HREF='javascript:startPopups(&quot;glos_netbeui&quot;)'>NetBEUI</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipxspx&quot;)'>IPX/SPX</A>-compatible protocols.</P>";

glos_qos = "<P><b>QOS</b><br>Quality-of-Service. In generic terms, quality of service is a phrase sometimes used to describe the concept of quality assurance, in which a servicebased organization may implement methods or processes to assure a certain level of quality is being met for all of its serviced users or customers. These methods or processes typically gather and track statistical data, measuring the organizations effectiveness in providing service at specific locations or for distinct types of service.<br>In networking, Quality of Service (QoS) performs a similar role and function: the ability to assure quality of service for all network users.<br>The goal of QoS is to help ensure a guaranteed delivery system for all Internet Protocol (IP) packets (traffic). This goal is achieved by a set of QoS mechanisms which include services and protocols. The Windows implementation of QoS includes:<ul><li>Subnet bandwidth management services for controlling priority bandwidth on a subnetwork (the Windows <A NAME='nest' HREF='javascript:startPopups(&quot;glos_acs&quot;)'>Admission Control Service</A>). <li>The resource reservation protocol, which enables the sender and receiver in a communication to establish a reserved, QoS highway for traffic. <li><A NAME='nest' HREF='javascript:startPopups(&quot;glos_traffic&quot;)'>Traffic control </A>services, for prioritizing and scheduling of traffic. </ul></P>";

glos_ras = "<P><b>RAS</b><br>Remote Access Service. A service that provides remote networking for telecommuters, mobile workers, and system administrators who monitor and manage servers at multiple offices.</P>";

glos_registry = "<P><b>Registry</b><br>In Windows&nbsp;2000, Windows&nbsp;NT, and Windows&nbsp;98, a database for information about a computer's configuration. The registry is organized in a hierarchical structure, and consists of subtrees and their keys, hives, and value entries. <br>The registry is roughly analogous to the .INI files used under Windows 3.x, with each key in the registry similar to a bracketed heading in an .INI file and with registry values similar to entries under the .INI headings. However, registry keys can contain subkeys, while .INI files do not support nested headings. registry values can also consist of binary data, rather than the simple strings used in .INI files.</P>";

glos_regedit = "<P><b>Registry Editor</b><br>An application provided with Windows&nbsp;NT and Windows&nbsp;2000 that is used to view and edit entries in the registry. To start the Registry Editor, type <b>Regedit</b> on the Run line.</P>";

glos_rfc = "<P><b>RFC</b><br>Request for Comments. A document that defines a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> standard. RFCs are published by the Internet Engineering Task Force (IETF) and other working groups.</P>";

glos_ringtrans = "<P><b>ring transition</b><br>A ring transition or kernel-mode transition occurs when user-mode processes use application program interfaces (APIs) to switch their threads from user mode to kernel mode.</P>";

glos_risc = "<P><b>RISC</b><br>Reduced Instruction Set Computing. A category of microprocessor architecture that increases speed and efficiency by using a smaller set of basic instructions to the microprocessor. RISC microprocessors, such as the Digital Alpha AXP and MIPS R4000, are most commonly used in workstations.</P>";

glos_router = "<P><b>router</b><br>A network server that helps <A NAME='nest' HREF='javascript:startPopups(&quot;glos_lan&quot;)'>LANs</a> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_wan&quot;)'>WANs</a> achieve interoperability and connectivity and that can link LANs that have different network topologies, such as Ethernet and Token Ring.<br>A router looks at the network addresses in the packets it receives before deciding whether to pass them on. Routers make packet forwarding decisions on the basis of addresses in the network layer of the Open Systems Interconnection (OSI) reference model (for example, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</a>).<br>A router makes more intelligent decisions than a bridge about data it passes on. A bridge can only decide whether or not to pass on a packet, but a router can choose the best path along the network for the packet to reach its destination address.<br>In the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> context, a router is a gateway, a computer with two or more network adapters that is running some type of IP routing software. Each adapter is connected to a different physical network.</P>";

glos_rpc = "<P><b>RPC</b><br>Remote Procedure Call. A message-passing facility that allows a distributed application to call <A NAME='nest' HREF='javascript:startPopups(&quot;glos_service&quot;)'>services</A> available on various machines in a network. Used during remote administration of computers.</P>";

glos_rpcservice = "<P><b>RPC Service</b><br><A NAME='nest' HREF='javascript:startPopups(&quot;glos_rpc&quot;)'>Remote Procedure Call</A> service. The RPC subsystem for Windows&nbsp;NT and Windows&nbsp;2000. The RPC subsystem includes the endpoint mapper and other RPC services.</P>";

glos_rsvp = "<P><b>RSVP</b><br>The <A NAME='nest' HREF='javascript:startPopups(&quot;glos_acs&quot;)'>ACS</A> server and its subnetwork clients use the resource reservation protocol (RSVP) as a message service for priority bandwidth requests.<br>RSVP was designed to:<ul><li>Support multicast or unicast transmission. <li>Pass the reservation request to all network hosts in the traffic flow path. <li>Maintain the reservation at each network host, called a hop, (a router, computer or switch) between the sending and receiving computer. <li>Pass transparently through routers and switches that do not support RSVP. <li>RSVP is a signaling protocol that carries the bandwidth reservation along a data path that is predetermined by the network routing protocol. Once the ACS has approved the reservation request and has logically allocated bandwidth, <li>RSVP carries the request to each router or switch (hop) along the path between sender and receiver.</ul></P>";

glos_sam = "<P><b>SAM</b><br>Security Accounts Manager. A protected subsystem of Windows&nbsp;NT and Windows&nbsp;2000 that maintains the security accounts management database and provides an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A> for accessing the database.</P>";

glos_script = "<P><b>script</b><br>A type of program consisting of a set of instructions to an application or utility program. A script usually expresses instructions using the application's or utility's rules and syntax, combined with simple control structures such as loops and if/then expressions. &quot;<A NAME='nest' HREF='javascript:startPopups(&quot;glos_batch&quot;)'>Batch program</a>&quot; is often used interchangeably with &quot;script&quot; in the Windows environment.</P>";

glos_scsi = "<P><b>SCSI</b><br>Small Computer System Interface (pronounced &quot;scuzzy&quot;). A standard high-speed parallel interface defined by the X3T9.2 committee of the American National Standards Institute (ANSI). A SCSI interface is used for connecting microcomputers to peripheral devices, such as hard disks and printers, and to other computers and local area networks.</P>";

glos_service = "<P><b>service</b><br>A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</A> that performs a specific system function and often provides an application programming interface (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A>) for other processes to call. Windows services are <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rpc&quot;)'>RPC</A>-enabled, meaning that their API routines can be called from remote computers.</P>";

glos_sh = "<P><b>sh</b><br>shell. Command line <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</a> utility which contains a large subset of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_korn&quot;)'>Korn</a> shell functionality (though no variable arrays).</P>";

glos_sid = "<P><b>SID</b><br>security identifier. A unique name that identifies a logged-on user to the Windows&nbsp;NT and Windows&nbsp;2000 security systems. A security identifier can represent an individual user, a group of users, or a computer.</P>";

glos_smb = "<P><b>SMB</b><br>Server Message Block. A file-sharing protocol designed to allow networked computers to transparently access files that reside on remote systems over a variety of networks. The SMB protocol, jointly developed by Microsoft, Intel, and IBM, defines a series of commands that pass information between computers. SMB uses four message types: session control, file, printer, and message.</P>";

glos_smtp = "<P><b>SMTP</b><br>Simple Mail Transport Protocol. A protocol used on the Internet to transfer mail reliably and efficiently. SMTP is independent of the particular transmission subsystem and requires only a reliable, ordered data stream channel.<br>An important feature of SMTP is its capability to relay mail across <A NAME='nest' HREF='javascript:startPopups(&quot;glos_transportprotocol&quot;)'>transport</a> service environments. A transport service provides an interprocess communication environment (IPCE), which may cover one network, several networks, or a subset of a network.<br>A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</a> can communicate directly with another process through any mutually known IPCE. Mail can be relayed between processes running on hosts on different transport systems by a host connected to IPCEs on both transport systems.</P>";

glos_snmp = "<P><b>SNMP</b><br>Simple Network Management Protocol. A network management protocol installed with <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> and widely used on TCP/IP and Internet Package Exchange (IPX) networks.<br>SNMP transports management information and commands between a management program run by an administrator and the network management agent running on a host. The SNMP agent sends status information to one or more hosts when the host requests it or when a significant event occurs.<br>SNMP defines the form and meaning of the messages exchanged, the representation of names and values in the messages, and the administrative relationships among hosts being managed.</P>";

glos_socket = "<P><b>socket</b><br>A bidirectional pipe for incoming and outgoing data between networked computers. The Windows Sockets <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A> is a networking API used by programmers to create <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A>-based sockets programs.</P>";

glos_sql = "<P><b>SQL</b><br>Structured Query Language. A database sublanguage used in querying, updating, and managing relational databases, widely accepted as a standard in database products.</P>";

glos_stderr = "<P><b>STDERR</b><br>Standard Error. One of the standard input/output (I/O) streams opened automatically in both MS-DOS and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> environments when a program starts running. These I/O streams let the program interact with its environment, including peripheral devices. Most commonly, STDERR carries data to a display or file.<BR>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stdin&quot;)'>STDIN</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stdout&quot;)'>STDOUT</A>.</P>";

glos_stdin = "<P><b>STDIN</b><br>Standard Input. One of the standard input/output (I/O) streams opened automatically in both MS-DOS and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> environments when a program starts running. These I/O streams let the program interact with its environment, including peripheral devices. Most commonly, STDIN carries data from a keyboard or file.<BR>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stderr&quot;)'>STDERR</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stdout&quot;)'>STDOUT</A>.</P>";

glos_stdout = "<P><b>STDOUT</b><br>Standard Output. One of the standard input/output (I/O) streams opened automatically in both MS-DOS and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> environments when a program starts running. These I/O streams let the program interact with its environment, including peripheral devices. Most commonly, STDOUT carries data to a display or file.<BR>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stderr&quot;)'>STDERR</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stdin&quot;)'>STDIN</A>.</P>";

glos_stripeset = "<P><b>stripe set</b><br>The saving of data across identical partitions on different drives. A stripe set does not provide fault tolerance; however stripe sets with parity do.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripesetparity&quot;)'>stripe set with parity</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fault&quot;)'>fault tolerance</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_partition&quot;)'>partition</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_volumeset&quot;)'>volume set</A>.</P>";

glos_stripesetparity = "<P><b>stripe set with parity</b><br>A method data protection in which data is striped in large blocks across all the disks in an array. Data redundancy is provided by the parity information. This method provides fault tolerance.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripeset&quot;)'>stripe set</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fault&quot;)'>fault tolerance</A>.</P>";

glos_subnetmask = "<P><b>subnet mask</b><br>A 32-bit value that allows <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> to distinguish the network ID portion of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP address</a> from the host ID portion. The host ID identifies individual computers on the network. TCP/IP hosts use the subnet mask to determine whether a destination host is located on a local or a remote network.<br>A subnet mask is a 32-bit number expressed as four decimal numbers from 0 to 255 separated by periods, for example:<br><b>255.255.0.0</b></P>";

glos_symbols = "<P><b>symbols</b><br>Debug Symbol files (symbols) are required for both <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kernmode&quot;)'>kernel</a> and user-mode debugging in Windows. Symbols provide a way to reference global variables and function names in the loaded executable.</P>";

glos_systemtray = "<P><b>system tray</b><br>The area to the far right of the Windows&nbsp;NT and Windows&nbsp;2000 taskbar, containing icons for programs that are typically resident in memory. Also known as the icon tray.</P>";

glos_tapi = "<P><b>TAPI</b><br>Telephony API. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</a> used to make data/fax/voice calls by programs including HyperTerminal, Dial-up Networking, Phone Dialer, and other communications applications written for Windows&nbsp;NT and Windows&nbsp;2000.</P>";

glos_tcp = "<P><b>TCP</b><br>A connection-based Internet protocol responsible for breaking data into <A NAME='nest' HREF='javascript:startPopups(&quot;glos_packet&quot;)'>packets</A>, which the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ip&quot;)'>IP</A> protocol sends over the network. This protocol provides a reliable, sequenced communication stream for network communication.</P>"; 

glos_tcpip = "<b>TCP/IP</b><br>Transmission Control Protocol/Internet Protocol. A set of software networking protocols widely used on the Internet that provide communications across interconnected networks of computers with diverse hardware architectures and operating systems. TCP/IP includes standards for how computers communicate and conventions for connecting networks and routing traffic.</P>";

glos_tdi = "<b>TDI</b><br>Transport Driver Interface. In the Windows&nbsp;NT and Windows&nbsp;2000 networking model, a common interface for Network Layer components that communicate with the Session layer of the Open Systems Interconnection model. The TDI is not a single program, but a protocol specification to which the upper bounds of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_transportprotocol&quot;)'>transport protocol</A> device drivers are written. It allows software components above and below the Transport layer to be mixed and matched without reprogramming.</P>";

glos_telnet = "<b>Telnet</b><br>A terminal-emulation protocol widely used on the Internet to log on to remote computers. &quot;Telnet&quot; also refers to the application that uses the Telnet protocol for remote logons.</P>";

glos_thread = "<P><b>thread</b><br>A type of object within a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</a> that runs program instructions. Using multiple threads allows concurrent operations within a process and enables one process to run different parts of its program on different processors simultaneously.<br>A thread has its own set of registers, its own <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kernel&quot;)'>Kernel</A> stack, a thread environment block, and a user stack in the address space of its process.</P>";
glos_touch = "<P><b>touch</b><br>Command line <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</a> utility which changes the modification date of files.</P>";

glos_touch = "<P><b>touch</b><br>Command line <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</a> utility which changes the modification date of files.</P>";

glos_traffic= "<P><b>traffic control</b><br>Traffic control is a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_qos&quot;)'>QoS</A> mechanism which:<ul><li>Reduces delay and latency (accumulated delay). <li>Works with the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_acs&quot;)'>ACS</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rsvp&quot;)'>RSVP</A> to ensure the service level and priority required in the bandwidth request can be met. <li>Is installed by default, and started when QoS is requested by a QoS-enabled client application. <li>Is available for non-ACS subnetwork clients. However, the client applications must be QoS-enabled to request traffic control services. <li>Is provided for networks which are not RSVP-enabled.</ul></P>" ;

glos_transportprotocol = "<P><b>transport protocol</b><br>Defines how data should be presented to the next receiving layer in the Windows&nbsp;NT and Windows&nbsp;2000 networking model and packages the data accordingly. The transport protocol passes data to the network adapter driver through the Network Device Interface Specification (NDIS) interface, and to the redirector through the Transport Driver Interface (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_tdi&quot;)'>TDI</A>).</P>";

glos_trustrel = "<P><b>trust relationship</b><br>A trust relationship allows users and global groups from another user account database to be used. It is a link between <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domains</A> that enables pass-through authentication, in which a trusting domain honors the logon authentications of a trusted domain. With trust relationships, a user who has only one user account in one domain can potentially access the entire network. User accounts and global groups defined in a trusted domain can be given rights and resource permissions in a trusting domain, even though those accounts do not exist in the trusting domains directory database.<br>Note: Using resources located on any domain, trusted or otherwise, is always subject to permissions associated with the resources.</P>";

glos_udp= "<P><b>UDP</b><br>User Datagram Protocol. UDP is a TCP/IP standard defined in RFC 768 and is an lightweight alternative to <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcp&quot;)'>TCP</A>. UDP is used by some applications instead of TCP for fast, unreliable transportation of data between TCP/IP hosts.<br>UDP provides a connectionless datagram service that offers best effort delivery. Best effort implies that a source host that uses UDP will number and send datagrams in a sequenced order. However, when a destination host receives the datagrams, UDP does not guarantee delivery or verify sequence for any datagrams received.<br>UDP is typically used by applications that transmit small amounts of data at one time or have real-time requirements. In these situations, the low overhead and multicasting capabilities of UDP (for example, one datagram, many recipients) are better suited than TCP.</P>";

glos_unc = "<P><b>UNC</b><br>Universal Naming Convention. A convention for naming files and other resources beginning with two backslashes (\\), indicating that the resource exists on a remote computer. UNC names conform to the \\<i>SERVERNAME</i>\<i>SHARENAME</i> syntax, where <i>SERVERNAME</i> is the server's name and <i>SHARENAME</i> is the name of the shared resource. The UNC name of a directory or file can also include the directory path after the share name, with the following syntax:<BR>\\<i>SERVERNAME</i>\<i>SHARENAME</i>\<i>DIRECTORY</i>\<i>FILENAME</i>.</P>";

glos_unicode = "<P><b>Unicode</b><br>A fixed-width, 16-bit character-encoding standard capable of representing the letters and characters of virtually all the world's languages. Unicode was developed by a consortium of U.S. computer companies.</P>";

glos_unix = "<P><b>UNIX</b><br>A powerful multiuser, multitasking operating system initially developed at AT&amp;T Bell Laboratories in 1969 for use on minicomputers. UNIX (pronounced &quot;ewe-niks&quot;) is considered more portablethat is, less machine-specificthan other operating systems because it is written in C language. Newer versions of UNIX have been developed at the University of California at Berkeley and by AT&amp;T.</P>";

glos_url = "<P><b>URL</b><br>Uniform Resource Locator. An address that uniquely identifies a location on the Internet. A URL for a World Wide Web site is preceded with http://, as in the fictitious URL http://www.example.microsoft.com/. A URL can contain more detail, such as the name of a page of hypertext, usually identified by a suffix of .HTML or .HTM.</P><P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_html&quot;)'>HTML</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_http&quot;)'>HTTP</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP address</A>.</P>";

glos_usb = "<P><b>USB</b><br>Universal Serial Bus. A bidirectional, isochronous, dynamically attachable serial interface for adding peripheral devices such as game controllers, serial and parallel ports, and input devices on a single bus.</P>";

glos_userprofile = "<P><b>user profile</b><br>A file which contains configuration information for a specific user, such as desktop settings, persistent network connections, and application settings. Each user's preferences are saved to a user profile that Window&nbsp;NT and Windows&nbsp;2000 use to configure the desktop each time a user logs on.</P>";

glos_uuencoding = "<P><b>UUEncoding/Decoding</b><br>A form of encoding and decoding that allows binary files to be sent as e-mail. A binary file, such as a program or image, cannot be sent directly over the Internet by e-mail. To send such a file, you must first encode it to hide the control characters. This encoding can be accomplished by converting the binary file to a text file. UUEncoding carries out this conversion, and UUDecoding regenerates the original file.</P>";

glos_volumeset = "<P><b>volume set</b><br>A combination of partitions on a physical disk that appear as one logical drive.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripeset&quot;)'>stripe set</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fault&quot;)'>fault tolerance</A>.</P>";

glos_vpn = "<P><b>VPN</b><br>Virtual Private Network. Virtual private networks involve the use of a combination of tunneling, authentication, and encryption technologies to support secure private network sessions over a public network, such as the Internet. A routed VPN connection across the Internet logically operates as a dedicated <A NAME='nest' HREF='javascript:startPopups(&quot;glos_wan&quot;)'>WAN</A> link.<br> With both the remote access connection and with the routed connection, VPN connections allow an organization to trade in long distance dial-up or leased lines for local dial-up or leased lines to an Internet service provider (ISP).</P>";

glos_wan = "<P><b>WAN</b><br>Wide area network. A communications network connecting geographically separated computers, printers, and other devices. A WAN allows any connected device to interact with any other on the network.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_lan&quot;)'>LAN</a>.</P>";

glos_wc = "<P><b>wc</b><br>word count. Command line <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</a> utility which returns the number of bytes, words, and lines in files.</P>";

glos_wins = "<P><b>WINS</b><br>Windows Internet Name Service. A service that maps computer names to <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</a>, allowing users to communicate with other computers on a network or the World Wide Web without having to remember strings of numbers for the addresses.</P>";

defs_loaded = true;